.action-container-icon-color-mixin() {
    display: flex;
    gap: .7em;

    .icon {
        color: @blue-6;
    }

    .hide {
        color: @red-6;
    }

    .publish {
        color: @green-6;
    }

    .detail {
        color: @blue-6;
    }

    .edit {
        color: @blue-6;
    }

    .delete {
        color: @red-6;
    }

}


.teaching-content-mixins() {
    .chapter-wrapper {
        .collapse-mixin();
        margin: 2em 2em;
    }

    .chapter-drag-grip-container {
        margin-bottom: 0;
        margin-right: 1em;
        align-self: center;

        .chapter-drag-grip {
            color: @blue-6;
            font-size: large;
            margin-bottom: 0;
        }
    }

    .chapter-title {
        font-weight: 400;
        font-size: 1.2em;
        margin-bottom: 0;
    }

    .activity-collapse {
        .collapse-mixin();
        margin: 2em 2em;
    }

    .chapter-action-container {
        display: flex;
        gap: .4em;

        .edit-chapter-button {
            color: @blue-6;
        }
    }

    .add-button {
        display: flex;
        align-items: center;
        column-gap: 0.3em;
    }

    .activity-list-container {
        display: flex;
        flex-direction: column;
        gap: 1em;
    }

    .activity-item-container {
        display: flex;
        justify-content: space-between;
        padding: 0.5em 1.3em;
        border: 1px solid @gray-6;
        border-radius: .5em;
        align-items: center;

        .activity-title {
            font-weight: 600;
            font-size: 1.2em;
            margin-bottom: 0;
        }

        .action-container {
            .action-container-icon-color-mixin();
        }
    }
}